package de.dhbwstuttgart.target.tree;

import de.dhbwstuttgart.parser.scope.JavaClassName;
import de.dhbwstuttgart.target.tree.type.TargetRefType;
import de.dhbwstuttgart.target.tree.type.TargetType;

import java.util.List;
import java.util.Set;

public record TargetInterface(int modifiers, JavaClassName qualifiedName, Set<TargetGeneric> generics, Set<TargetGeneric> txGenerics, List<TargetMethod> methods, List<TargetType> implementingInterfaces, TargetMethod staticConstructor, List<TargetRefType> permittedSubtypes) implements TargetStructure {
    @Override
    public TargetType superType() {
        return null;
    }

    @Override
    public List<TargetConstructor> constructors() {
        return List.of();
    }

    @Override
    public List<TargetField> fields() {
        return List.of();
    }
}
